List Invoices
curl --request GET \
--url https://payments.shakesco.com/invoices \
--header 'Authorization: Bearer <token>'import requests
url = "https://payments.shakesco.com/invoices"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://payments.shakesco.com/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 1,
"user_id": 42,
"invoice_number": "INV-2026-a1b2c3d4",
"status": "paid",
"type": "public",
"currency": "USD",
"tax_rate": "0.00",
"is_business": true,
"from_store": false,
"receiver": "business@example.com",
"receiver_country": "US",
"payer_name": "Jane Doe",
"payer_email": "customer@example.com",
"payer_country": null,
"asset": "ETH",
"amount": "0.00045",
"rate": "2800000.00",
"tx_hash_link": "https://polygonscan.com/tx/0xabc...",
"receipt_number": "REC-2026-e5f6a7",
"payment_url": "https://pay.shakesco.com/@business/a1b2c3...",
"redirect_url": "https://yourstore.com/order/complete",
"expires_at": "2026-05-23T10:00:00.000000Z",
"scanned_at": "2026-05-16T10:55:00.000000Z",
"paid_at": "2026-05-16T11:00:00.000000Z",
"store_item_ids": null,
"created_at": "2026-05-16T10:00:00.000000Z",
"updated_at": "2026-05-16T11:00:00.000000Z",
"transaction_items": [
{
"id": 1,
"crypto_transaction_id": 1,
"description": "Platform Services",
"unit": "1",
"price": "1400",
"image": null,
"created_at": "2026-05-16T10:00:00.000000Z",
"updated_at": "2026-05-16T10:00:00.000000Z"
}
]
}
]
Invoices
List Invoices
List every invoice you’ve created, newest first
GET
/
invoices
List Invoices
For the complete documentation index, see llms.txt.
Returns every invoice on your account, including line items, ordered newest first.
Response
Array of invoice objects. Each object has the same shape as thePOST /invoices response.
const response = await fetch("https://payments.shakesco.com/invoices", {
headers: { Authorization: `Bearer ${API_KEY}` },
});
const invoices = await response.json();
[
{
"id": 1,
"user_id": 42,
"invoice_number": "INV-2026-a1b2c3d4",
"status": "paid",
"type": "public",
"currency": "USD",
"tax_rate": "0.00",
"is_business": true,
"from_store": false,
"receiver": "business@example.com",
"receiver_country": "US",
"payer_name": "Jane Doe",
"payer_email": "customer@example.com",
"payer_country": null,
"asset": "ETH",
"amount": "0.00045",
"rate": "2800000.00",
"tx_hash_link": "https://polygonscan.com/tx/0xabc...",
"receipt_number": "REC-2026-e5f6a7",
"payment_url": "https://pay.shakesco.com/@business/a1b2c3...",
"redirect_url": "https://yourstore.com/order/complete",
"expires_at": "2026-05-23T10:00:00.000000Z",
"scanned_at": "2026-05-16T10:55:00.000000Z",
"paid_at": "2026-05-16T11:00:00.000000Z",
"store_item_ids": null,
"created_at": "2026-05-16T10:00:00.000000Z",
"updated_at": "2026-05-16T11:00:00.000000Z",
"transaction_items": [
{
"id": 1,
"crypto_transaction_id": 1,
"description": "Platform Services",
"unit": "1",
"price": "1400",
"image": null,
"created_at": "2026-05-16T10:00:00.000000Z",
"updated_at": "2026-05-16T10:00:00.000000Z"
}
]
}
]
⌘I